> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# List Magic Events

> List all magic events accessible to the authenticated API key



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/magic-events/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/magic-events/:
    get:
      tags:
        - magic-events
      summary: List Magic Events
      description: List all magic events accessible to the authenticated API key
      operationId: magic_events_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MagicEventDetail'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    MagicEventDetail:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 200
        event_format:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/EventFormatEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        start_datetime:
          type: string
          format: date-time
          nullable: true
        settings:
          $ref: '#/components/schemas/MagicEventSettings'
        current_round_number:
          type: integer
          readOnly: true
        enrolled_player_count:
          type: integer
          readOnly: true
        user_statuses:
          type: array
          items:
            $ref: '#/components/schemas/UserEventStatus'
        tournament_phases:
          type: array
          items:
            $ref: '#/components/schemas/TournamentPhase'
        featured_matches:
          type: array
          items:
            $ref: '#/components/schemas/TournamentMatch'
          readOnly: true
      required:
        - current_round_number
        - enrolled_player_count
        - featured_matches
        - id
        - name
        - settings
        - tournament_phases
        - user_statuses
    EventFormatEnum:
      enum:
        - BOOSTER_DRAFT
        - COMMANDER2
        - LEGACY
        - MODERN
        - MULTIPLAYER
        - PAUPER
        - SEALED_DECK
        - STANDARD
        - PIONEER
        - VINTAGE
        - TRIOS_CONSTRUCTED
        - OATHBREAKER
        - PREMODERN
        - PENNY_DREADFUL
        - HISTORIC
        - TIMELESS
        - GLADIATOR
        - EXPLORER
        - STANDARD_BRAWL
        - ALCHEMY
        - PAUPER_COMMANDER
        - DUEL
        - OLDSCHOOL
        - PREDH
        - OTHER
      type: string
      description: |-
        * `BOOSTER_DRAFT` - Draft
        * `COMMANDER2` - Commander
        * `LEGACY` - Legacy
        * `MODERN` - Modern
        * `MULTIPLAYER` - Multiplayer
        * `PAUPER` - Pauper
        * `SEALED_DECK` - Sealed
        * `STANDARD` - Standard
        * `PIONEER` - Pioneer
        * `VINTAGE` - Vintage
        * `TRIOS_CONSTRUCTED` - Team Trios
        * `OATHBREAKER` - Oathbreaker
        * `PREMODERN` - Premodern
        * `PENNY_DREADFUL` - Penny Dreadful
        * `HISTORIC` - Historic
        * `TIMELESS` - Timeless
        * `GLADIATOR` - Gladiator
        * `EXPLORER` - Explorer
        * `STANDARD_BRAWL` - Standard Brawl
        * `ALCHEMY` - Alchemy
        * `PAUPER_COMMANDER` - Pauper Commander
        * `DUEL` - Duel Commander
        * `OLDSCHOOL` - Oldschool
        * `PREDH` - PrEDH
        * `OTHER` - Other
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    MagicEventSettings:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        event_lifecycle_status:
          $ref: '#/components/schemas/EventLifecycleStatus'
      required:
        - id
    UserEventStatus:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        user:
          $ref: '#/components/schemas/UserBasic'
        decklist:
          type: integer
          nullable: true
        registration_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/UserEventRegistrationStatus'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        final_place_in_standings:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        matches_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_lost:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_drawn:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        total_match_points:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - id
        - user
    TournamentPhase:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        order_in_phases:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        round_type:
          $ref: '#/components/schemas/TournamentPhaseRoundTypeEnum'
        status:
          $ref: '#/components/schemas/TournamentPhaseStatus'
        rounds:
          type: array
          items:
            $ref: '#/components/schemas/TournamentRound'
      required:
        - id
        - rounds
    TournamentMatch:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_feature_match:
          type: boolean
        table_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        status:
          $ref: '#/components/schemas/TournamentMatchStatus'
        player_match_relationships:
          type: array
          items:
            $ref: '#/components/schemas/PlayerMatchRelationship'
      required:
        - id
        - player_match_relationships
    EventLifecycleStatus:
      enum:
        - REGISTRATION_OPEN
        - WAITLIST_ONLY
        - REGISTRATION_CLOSED
        - EVENT_IN_PROGRESS
        - EVENT_FINISHED
        - DECKLISTS_PUBLISHING
        - DECKLISTS_PUBLISHED
      type: string
      description: |-
        * `REGISTRATION_OPEN` - Registration Open
        * `WAITLIST_ONLY` - Waitlist Only
        * `REGISTRATION_CLOSED` - Registration Closed
        * `EVENT_IN_PROGRESS` - Event In Progress
        * `EVENT_FINISHED` - Event Finished
        * `DECKLISTS_PUBLISHING` - Decklists Publishing
        * `DECKLISTS_PUBLISHED` - Decklists Published
    UserBasic:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        best_identifier:
          type: string
          readOnly: true
      required:
        - best_identifier
        - id
    UserEventRegistrationStatus:
      enum:
        - IN_PROGRESS
        - IN_WAITING_ROOM
        - ON_WAITLIST
        - MOVED_TO_CHILD_EVENT
        - COMPLETE
        - CANCELED
        - DROPPED
        - DISQUALIFIED
        - ELIMINATED
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `IN_WAITING_ROOM` - In Waiting Room
        * `ON_WAITLIST` - On Waitlist
        * `MOVED_TO_CHILD_EVENT` - Moved to Child Event
        * `COMPLETE` - Complete
        * `CANCELED` - Canceled
        * `DROPPED` - Dropped
        * `DISQUALIFIED` - Disqualified
        * `ELIMINATED` - Eliminated
    TournamentPhaseRoundTypeEnum:
      enum:
        - SWISS
        - SINGLE_ELIMINATION
        - RANKED_SINGLE_ELIMINATION
        - ROUND_ROBIN
        - RANDOM_ROUND_ROBIN
      type: string
      description: |-
        * `SWISS` - Swiss
        * `SINGLE_ELIMINATION` - Single Elimination
        * `RANKED_SINGLE_ELIMINATION` - Ranked Single Elimination
        * `ROUND_ROBIN` - Round Robin
        * `RANDOM_ROUND_ROBIN` - Random Round Robin
    TournamentPhaseStatus:
      enum:
        - IN_PROGRESS
        - UPCOMING
        - COMPLETE
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `UPCOMING` - Upcoming
        * `COMPLETE` - Complete
    TournamentRound:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        round_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        status:
          $ref: '#/components/schemas/TournamentPhaseStatus'
        matches:
          type: array
          items:
            $ref: '#/components/schemas/TournamentMatch'
      required:
        - id
        - matches
    TournamentMatchStatus:
      enum:
        - IN_PROGRESS
        - COMPLETE
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `COMPLETE` - Complete
    PlayerMatchRelationship:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        user_event_status:
          $ref: '#/components/schemas/UserEventStatus'
        games_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        points_gained:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        player_order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
      required:
        - id
        - user_event_status
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````